### Function

# Dex resolver_lookup_by_name

unstable since: 1

#### Declaration [src]

    DexFuture*
    dex_resolver_lookup_by_name (
      GResolver* resolver,
      const char* address
    )

#### Description

No description available.

Available since: 1

#### Parameters

`resolver`

  Type: `GResolver`

  No description available.

  The data is owned by the caller of the function.

`address`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.